\ target_buffer.fs -- Target buffer defs & management -- 29Aug13 rjn
\
] here 
\ 
\ 
\ -----[ dbuf - Target download buffer, xram version ]
\ 
cpuHere constant dlen 1 cpuAllot      \ #bytes in dbuf
cpuHere constant dnum 1 cpuAllot      \ # bytes to download

-: /dlen  0 # dlen #! ;
-: @dlen  dlen #@ ;
-: dlen+  @dlen  1+  dlen #! ;
-: /dnum  #dbuf # dnum #! ;
\ 
\ -----[ set target programming adr ]
\ 
cpuHere constant high-adr 1 cpuAllot  \ high byte of Target address
cpuHere constant low-adr  1 cpuAllot  \ low byte of Target address

-: !tadr  ( d -)  high-adr #!  low-adr #! ;  \ set target address
-: @tadr  ( - d)  low-adr #@  high-adr #@ ;  \  get target address
-: /tadr  ( -)  0 ## !tadr ;  \ init target adr to 0
-: +tadr  ( n --)  low-adr #@ a!  [ clrc 1 addc ]  low-adr #! 
   if' [ high-adr inc ] then ;
\   
\ conditional compilation summary
here [ swap -  ( -- n)
cs? [if] cr .( target_buffer.fs    ) . .( bytes) [else] drop [then]
]
\ 
\ 
0 [if] ------------------------[ revisions ]-----------------------------------
\ 
Date	   By  Comment
=======	=== ===================================================================
29Aug13  rjn original version (cut down version of responses.fs)
\ 
[then] \ ----------------------------------------------------------------------


